#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 9. General Libraries

- Prev

  libatasmart-0.19

- Next

  libblockdev-3.5.0

- Up
- Home

# libatomic_ops-7.10.0

## Introduction to libatomic_ops

libatomic_ops provides implementations for atomic memory update operations on a number of architectures. This allows direct use of these in reasonably portable code. Unlike earlier similar packages, this one explicitly considers memory barrier semantics, and allows the construction of code that involves minimum overhead across a variety of architectures.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/bdwgc/libatomic_ops/releases/download/v7.10.0/libatomic_ops-7.10.0.tar.gz

- Download MD5 sum: 1de9631daa0781a8c5a8457053d57cf0

- Download size: 532 KB

- Estimated disk space required: 6.2 MB (with tests)

- Estimated build time: 0.1 SBU (with tests)

## Installation of libatomic_ops

Install libatomic_ops by running the following commands:

    ./configure --prefix=/usr    \
                --enable-shared  \
                --disable-static \
                --docdir=/usr/share/doc/libatomic_ops-7.10.0 &&
    make

To check the results, issue make check.

Now, as the `root` user:

    make install

## Command Explanations

`--enable-shared`: This switch enables building of the `libatomic_ops` shared libraries.

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

Installed Programs: None
Installed Libraries: libatomic_ops.so and libatomic_ops_gpl.so
Installed Directory: /usr/include/libatomic_ops and /usr/share/doc/libatomic_ops-7.10.0

### Short Descriptions

`libatomic_ops.so` | contains functions for atomic memory operations

- Prev

  libatasmart-0.19

- Next

  libblockdev-3.5.0

- Up
- Home